
D4Science Infrastructure - Task #11664

Add ALIAS to nlp-d.dev.d4science.org and nlp-hub-d.dev.d4science.org

Apr 17, 2018 10:58 AM - Roberto Cirillo

Status: Closed Start date: Apr 17, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The VM above are running in production environment with a development names. If possible, I suggest to give a production alias to

these VMs?

nlp-d.dev.d4science.org => nlp1.d4science.org

nlp-hub-d.dev.d4science.org => nlp-hub.d4science.org

Related issues:

Related to D4Science Infrastructure - VM Creation #11662: New development mac... Closed Apr 16, 2018

Related to D4Science Infrastructure - Task #11674: nlp-d.dev.d4science.org: c... Closed Apr 18, 2018

History

#1 - Apr 17, 2018 10:59 AM - Roberto Cirillo

- Related to VM Creation #11662: New development machine for NLP Hub added

#2 - Apr 17, 2018 07:38 PM - Andrea Dell'Amico

- Status changed from New to In Progress

That's  ugly. They were requested as dev VMs.

@roberto.cirillo@isti.cnr.it  Please move them in the ansible inventory and configure letsencrypt to ask a certificate for the prod name.

#3 - Apr 17, 2018 07:41 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The CNAMEs have been created.

#4 - Apr 18, 2018 10:01 AM - Roberto Cirillo

- Status changed from Closed to In Progress

- % Done changed from 100 to 90

I'm still not able to connect to the host by CNAME:

TASK [Gathering Facts] ***************************************************************************************

**************************************************************************************************************

***********

fatal: [nlp1.d4science.org]: UNREACHABLE! => {"changed": false, "msg": "Failed to connect to the host via ssh:

 ssh: Could not resolve hostname nlp1.d4science.org: Name or service not known\r\n", "unreachable": true}

#5 - Apr 18, 2018 11:55 AM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

After I confirm the change in the DNS management interface there's nothing I can do. You have to wait for the DNS zone to update itself. And it is, by

the way:
$ host nlp1.d4science.org

nlp1.d4science.org is an alias for nlp-d.dev.d4science.org.

nlp-d.dev.d4science.org has address 146.48.122.108

#6 - Apr 18, 2018 02:30 PM - Roberto Cirillo

- Related to Task #11674: nlp-d.dev.d4science.org: change container name to the new ALIAS added
